CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Installation problem 2.4.0 on Centos 6.6

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   November 5, 2015, 10:09
Default Installation problem 2.4.0 on Centos 6.6
  #1
New Member
 
Luke Skywalker
Join Date: Dec 2014
Posts: 6
Rep Power: 7
luke_skywalker is on a distinguished road
I followed the instructions for OF 2.4.0 on Centos 6.6 on this wiki:
https://openfoamwiki.net/index.php/I...CentOS_SL_RHEL

but at the end when I run the
Quote:
./Allwmake > make.log
after many times I obteined the error:
Quote:
make: Target `application' not remade because of errors.
the complete log is downlodable from
http://www.pi.ingv.it/make.log.gz
luke_skywalker is offline   Reply With Quote

Old   November 7, 2015, 15:03
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answer: Something went wrong with the build of the custom GCC 4.8.4, because the first error message you are getting is related to using an outdated GCC:
Code:
primitives/triad/triad.C:36: error: expected initializer before '<' token
primitives/triad/triad.C:39: error: expected initializer before '<' token
Please run the following commands:
Code:
which gcc
which g++

export
These will give me all of the information I need to confirm things.
wyldckat is offline   Reply With Quote

Old   November 9, 2015, 09:56
Default
  #3
New Member
 
Luke Skywalker
Join Date: Dec 2014
Posts: 6
Rep Power: 7
luke_skywalker is on a distinguished road
below can you see the output:
Code:
[prova@hpc-sm OpenFOAM-2.4.0]$ which gcc
/usr/bin/gcc
[prova@hpc-sm OpenFOAM-2.4.0]$ which g++
/usr/bin/g++
[prova@hpc-sm OpenFOAM-2.4.0]$ export
declare -x ANT_HOME="/opt/rocks"
declare -x BOOST_ARCH_PATH="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/boost_1_54_0"
declare -x CGAL_ARCH_PATH="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/CGAL-4.6"
declare -x CMAKE_HOME="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/cmake-2.8.12.1"
declare -x CVS_RSH="ssh"
declare -x DISPLAY=":0.0"
declare -x FOAM_APP="/home/prova/OpenFOAM/OpenFOAM-2.4.0/applications"
declare -x FOAM_APPBIN="/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/bin"
declare -x FOAM_ETC="/home/prova/OpenFOAM/OpenFOAM-2.4.0/etc"
declare -x FOAM_EXT_LIBBIN="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48DPOpt/lib"
declare -x FOAM_INST_DIR="/home/prova/OpenFOAM"
declare -x FOAM_JOB_DIR="/home/prova/OpenFOAM/jobControl"
declare -x FOAM_LIBBIN="/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/lib"
declare -x FOAM_MPI="openmpi-system"
declare -x FOAM_RUN="/home/prova/OpenFOAM/prova-2.4.0/run"
declare -x FOAM_SETTINGS="WM_NCOMPPROCS=46 foamCompiler=system WM_COMPILER=Gcc48 WM_MPLIB=SYSTEMOPENMPI"
declare -x FOAM_SIGFPE=""
declare -x FOAM_SITE_APPBIN="/home/prova/OpenFOAM/site/2.4.0/platforms/linux64Gcc48DPOpt/bin"
declare -x FOAM_SITE_LIBBIN="/home/prova/OpenFOAM/site/2.4.0/platforms/linux64Gcc48DPOpt/lib"
declare -x FOAM_SOLVERS="/home/prova/OpenFOAM/OpenFOAM-2.4.0/applications/solvers"
declare -x FOAM_SRC="/home/prova/OpenFOAM/OpenFOAM-2.4.0/src"
declare -x FOAM_TUTORIALS="/home/prova/OpenFOAM/OpenFOAM-2.4.0/tutorials"
declare -x FOAM_USER_APPBIN="/home/prova/OpenFOAM/prova-2.4.0/platforms/linux64Gcc48DPOpt/bin"
declare -x FOAM_USER_LIBBIN="/home/prova/OpenFOAM/prova-2.4.0/platforms/linux64Gcc48DPOpt/lib"
declare -x FOAM_UTILITIES="/home/prova/OpenFOAM/OpenFOAM-2.4.0/applications/utilities"
declare -x G_BROKEN_FILENAMES="1"
declare -x HISTCONTROL="ignoredups"
declare -x HISTSIZE="1000"
declare -x HOME="/home/prova"
declare -x HOSTNAME="hpc-sm.pi.ingv.it"
declare -x JAVA_HOME="/usr/java/latest"
declare -x LANG="en_US.iso885915"
declare -x LD_LIBRARY_PATH="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/boost_1_54_0/lib:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/CGAL-4.6/lib:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/gperftools-svn/lib:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/ParaView-4.1.0/lib/paraview-4.1:/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/lib/openmpi-system:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48DPOpt/lib/openmpi-system:/usr/lib64/openmpi/lib:/home/prova/OpenFOAM/prova-2.4.0/platforms/linux64Gcc48DPOpt/lib:/home/prova/OpenFOAM/site/2.4.0/platforms/linux64Gcc48DPOpt/lib:/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/lib:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48DPOpt/lib:/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/lib/dummy:/opt/openmpi/lib:/opt/python/lib"
declare -x LESSOPEN="||/usr/bin/lesspipe.sh %s"
declare -x LOADEDMODULES="rocks-openmpi:openmpi-x86_64"
declare -x LOGNAME="prova"
declare -x LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:"
declare -x MAIL="/var/spool/mail/prova"
declare -x MANPATH="/usr/share/man/openmpi-x86_64:/opt/torque/man:"
declare -x MAVEN_HOME="/opt/maven"
declare -x MODULEPATH="/usr/share/Modules/modulefiles:/etc/modulefiles"
declare -x MODULESHOME="/usr/share/Modules"
declare -x MPIHOME="/opt/openmpi"
declare -x MPI_ARCH_PATH="/usr/lib64/openmpi"
declare -x MPI_BIN="/usr/lib64/openmpi/bin"
declare -x MPI_BUFFER_SIZE="20000000"
declare -x MPI_COMPILER="openmpi-x86_64"
declare -x MPI_FORTRAN_MOD_DIR="/usr/lib64/gfortran/modules/openmpi-x86_64"
declare -x MPI_INCLUDE="/usr/include/openmpi-x86_64"
declare -x MPI_LIB="/usr/lib64/openmpi/lib"
declare -x MPI_MAN="/usr/share/man/openmpi-x86_64"
declare -x MPI_PYTHON_SITEARCH="/usr/lib64/python2.6/site-packages/openmpi"
declare -x MPI_SUFFIX="_openmpi"
declare -x MPI_SYSCONFIG="/etc/openmpi-x86_64"
declare -x OLDPWD="/home/prova/OpenFOAM/ThirdParty-2.4.0"
declare -x OMPI_MCA_btl="self,sm,tcp"
declare -x PATH="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/gperftools-svn/bin:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/ParaView-4.1.0/bin:/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/cmake-2.8.12.1/bin:/home/prova/OpenFOAM/prova-2.4.0/platforms/linux64Gcc48DPOpt/bin:/home/prova/OpenFOAM/site/2.4.0/platforms/linux64Gcc48DPOpt/bin:/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/bin:/home/prova/OpenFOAM/OpenFOAM-2.4.0/bin:/home/prova/OpenFOAM/OpenFOAM-2.4.0/wmake:/usr/lib64/openmpi/bin:/opt/openmpi/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/ganglia/bin:/opt/ganglia/sbin:/usr/java/latest/bin:/opt/maven/bin:/opt/maui/bin:/opt/torque/bin:/opt/torque/sbin:/opt/pdsh/bin:/opt/rocks/bin:/opt/rocks/sbin:/home/prova/bin"
declare -x PDSHROOT="/opt/pdsh"
declare -x PV_PLUGIN_PATH="/home/prova/OpenFOAM/OpenFOAM-2.4.0/platforms/linux64Gcc48DPOpt/lib/paraview-4.1"
declare -x PWD="/home/prova/OpenFOAM/OpenFOAM-2.4.0"
declare -x PYTHONPATH="/usr/lib64/python2.6/site-packages/openmpi"
declare -x ParaView_DIR="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/ParaView-4.1.0"
declare -x ParaView_INCLUDE_DIR="/home/prova/OpenFOAM/ThirdParty-2.4.0/platforms/linux64Gcc48/ParaView-4.1.0/include/paraview-4.1"
declare -x ParaView_MAJOR="4.1"
declare -x ParaView_VERSION="4.1.0"
declare -x QTDIR="/usr/lib64/qt-3.3"
declare -x QTINC="/usr/lib64/qt-3.3/include"
declare -x QTLIB="/usr/lib64/qt-3.3/lib"
declare -x ROCKSROOT="/opt/rocks/share/devel"
declare -x ROCKS_ROOT="/opt/rocks"
declare -x ROLLSROOT="/opt/rocks/share/devel/src/roll"
declare -x SHELL="/bin/bash"
declare -x SHLVL="1"
declare -x SSH_ASKPASS="/usr/libexec/openssh/gnome-ssh-askpass"
declare -x TERM="xterm"
declare -x USER="prova"
declare -x WM_ARCH="linux64"
declare -x WM_ARCH_OPTION="64"
declare -x WM_CC="gcc"
declare -x WM_CFLAGS="-m64 -fPIC"
declare -x WM_COMPILER="Gcc48"
declare -x WM_COMPILER_LIB_ARCH="64"
declare -x WM_COMPILE_OPTION="Opt"
declare -x WM_CXX="g++"
declare -x WM_CXXFLAGS="-m64 -fPIC"
declare -x WM_DIR="/home/prova/OpenFOAM/OpenFOAM-2.4.0/wmake"
declare -x WM_LDFLAGS="-m64"
declare -x WM_LINK_LANGUAGE="c++"
declare -x WM_MPLIB="SYSTEMOPENMPI"
declare -x WM_NCOMPPROCS="46"
declare -x WM_OPTIONS="linux64Gcc48DPOpt"
declare -x WM_OSTYPE="POSIX"
declare -x WM_PRECISION_OPTION="DP"
declare -x WM_PROJECT="OpenFOAM"
declare -x WM_PROJECT_DIR="/home/prova/OpenFOAM/OpenFOAM-2.4.0"
declare -x WM_PROJECT_INST_DIR="/home/prova/OpenFOAM"
declare -x WM_PROJECT_USER_DIR="/home/prova/OpenFOAM/prova-2.4.0"
declare -x WM_PROJECT_VERSION="2.4.0"
declare -x WM_THIRD_PARTY_DIR="/home/prova/OpenFOAM/ThirdParty-2.4.0"
declare -x _LMFILES_="/usr/share/Modules/modulefiles/rocks-openmpi:/etc/modulefiles/openmpi-x86_64"

Last edited by wyldckat; November 10, 2015 at 15:31. Reason: Changed [QUOTE][/QUOTE] to [CODE][/CODE]
luke_skywalker is offline   Reply With Quote

Old   November 10, 2015, 15:36
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answer: Well, this line explains the problem:
Code:
FOAM_SETTINGS="WM_NCOMPPROCS=46 foamCompiler=system WM_COMPILER=Gcc48 WM_MPLIB=SYSTEMOPENMPI"
If you use the option "foamCompiler=system", that will result in using the system's GCC which is probably GCC 4.4, which is not usable as of OpenFOAM 2.2.

The instructions on the wiki, step #7, specifically state the option that should be used is "foamCompiler=ThirdParty".

In addition, using "WM_NCOMPPROCS=46" is a bit much... I advise you to use 8 or 16... more than that could result in some weird situations...
wyldckat is offline   Reply With Quote

Old   November 11, 2015, 09:38
Default
  #5
New Member
 
Luke Skywalker
Join Date: Dec 2014
Posts: 6
Rep Power: 7
luke_skywalker is on a distinguished road
you are right! It was outdated GCC problem. I updated the gcc system in my centos 6.6 with
devtools-1.1 to 4.7 GCC version and Allwmake is terminated with no errors
luke_skywalker is offline   Reply With Quote

Old   November 12, 2015, 03:05
Default
  #6
New Member
 
Luke Skywalker
Join Date: Dec 2014
Posts: 6
Rep Power: 7
luke_skywalker is on a distinguished road
I tried to use "foamCompiler=ThirdParty" but I received this warning:
Quote:
Warning in /home/user/OpenFOAM/OpenFOAM-2.4.0/etc/config/settings.sh: Cannot find /home/user/OpenFOAM/ThirdParty-2.4.0/platforms/linux64/gcc-4.8.4 installation. Please install this compiler version or if you wish to use the system compiler, change the 'foamCompiler' setting to 'system'
and WM_NCOMPPROCS is equal to 46 because I have e machine with 48 cores ( 2 reserved to the system)

Thanks for your help!
luke_skywalker is offline   Reply With Quote

Old   November 12, 2015, 03:41
Default
  #7
Senior Member
 
Alexey Matveichev
Join Date: Aug 2011
Location: Nancy, France
Posts: 1,922
Rep Power: 34
alexeym has a spectacular aura aboutalexeym has a spectacular aura about
Send a message via Skype™ to alexeym
Hi,

If you would like to use ThirdParty compiler, you have to compile it first (i.e. download sources for gcc, gmp, mpc, mpfr and use makeGcc script).

If you are using Gcc 4.7 from devtoolset, it would be much easier to follow "Source Pack Installation" at http://openfoam.org/archive/2.4.0/download/source.php (leave foamCompiler=system). Though since atrpms repository vanished, you have to skip CGAL and QT parts from there (either build them yourself or use paraview & boost RPM packages, drop CGAL-dependent parts).
alexeym is offline   Reply With Quote

Old   November 13, 2015, 05:23
Default
  #8
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings to all!

To add to Alexey's answer, if the initially mentioned wiki page is followed properly: https://openfoamwiki.net/index.php/I...HEL#CentOS_6.6 - at the end of step #7, the following is written about this error message:
Quote:
Note: You probably will see a message similar to this one and it's meant to do so until we've built the custom Gcc version:
Code:
Warning in /home/user/OpenFOAM/OpenFOAM-2.4.0/etc/config/settings.sh:
    Cannot find /home/user/OpenFOAM/ThirdParty-2.4.0/platforms/linux64/gcc-4.8.4 installation.
    Please install this compiler version or if you wish to use the system compiler,
    change the 'foamCompiler' setting to 'system'
In other words, continue following the instructions on the wiki page.

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   November 13, 2015, 08:15
Default
  #9
New Member
 
Luke Skywalker
Join Date: Dec 2014
Posts: 6
Rep Power: 7
luke_skywalker is on a distinguished road
I recompiled with foamCompiler=ThirdParty and, after warning, I continued to follow the instructions and everything worked perfectly!
luke_skywalker is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.com] Installation Problem Manyway OpenFOAM Installation 2 July 8, 2016 13:47
installation Problem - Linux distribution (Not a meshing problem) v_herw Pointwise & Gridgen 2 June 20, 2016 14:47
[swak4Foam] swak4foam 0.3.2 installation problem on Ubuntu 15.04 with OpenFOAM 2.4.0 ptsxx OpenFOAM Community Contributions 1 January 10, 2016 17:48
Installation problem - calling blockMesh - libblockMesh.so aylalisa OpenFOAM Installation 5 November 28, 2012 09:55
Installation Problem with ParaView 3.12.0 on Scientific Linux 5.7 Wley OpenFOAM Installation 2 September 28, 2012 06:06


All times are GMT -4. The time now is 11:36.